/* Futura Font Family */
@font-face {
    font-family: 'MyCustomFutura';
    src: 
        url('/assets/fonts/FuturaPTBook.woff2') format('woff2'), /* Modern browsers */
        url('/assets/fonts/FuturaPTBook.woff') format('woff'),   /* Modern browsers */
        url('/assets/fonts/FuturaPTBook.otf') format('opentype'); /* Fallback for older browsers */
    font-weight: 300; /* Light */
    font-style: normal;
    font-display: swap; /* Improve loading performance */
}

@font-face {
    font-family: 'MyCustomFutura';
    src: 
        url('/assets/fonts/FuturaPTBookOblique.woff2') format('woff2'),
        url('/assets/fonts/FuturaPTBookOblique.woff') format('woff'),
        url('/assets/fonts/FuturaPTBookOblique.otf') format('opentype');
    font-weight: 300; /* Light */
    font-style: italic;
    font-display: swap; /* Improve loading performance */
}

@font-face {
    font-family: 'MyCustomFutura';
    src: 
        url('/assets/fonts/FuturaPTDemi.woff2') format('woff2'),
        url('/assets/fonts/FuturaPTDemi.woff') format('woff'),
        url('/assets/fonts/FuturaPTDemi.otf') format('opentype');
    font-weight: 500; /* Demi/Bold */
    font-style: normal;
    font-display: swap; /* Improve loading performance */
}

@font-face {
    font-family: 'MyCustomFutura';
    src: 
        url('/assets/fonts/FuturaPTDemiOblique.woff2') format('woff2'),
        url('/assets/fonts/FuturaPTDemiOblique.woff') format('woff'),
        url('/assets/fonts/FuturaPTDemiOblique.otf') format('opentype');
    font-weight: 500; /* Demi/Bold */
    font-style: italic;
    font-display: swap; /* Improve loading performance */
}

@font-face {
    font-family: 'MyCustomFutura';
    src: 
        url('/assets/fonts/FuturaPTBold.woff2') format('woff2'),
        url('/assets/fonts/FuturaPTBold.woff') format('woff'),
        url('/assets/fonts/FuturaPTBold.otf') format('opentype');
    font-weight: 700; /* Bold */
    font-style: normal;
    font-display: swap; /* Improve loading performance */
}

@font-face {
    font-family: 'MyCustomFutura';
    src: 
        url('/assets/fonts/FuturaPTBoldOblique.woff2') format('woff2'),
        url('/assets/fonts/FuturaPTBoldOblique.woff') format('woff'),
        url('/assets/fonts/FuturaPTBoldOblique.otf') format('opentype');
    font-weight: 700; /* Bold */
    font-style: italic;
    font-display: swap; /* Improve loading performance */
}
